%define betaver 0
%define rel 3

%if %betaver
%define release %mkrel -c %betaver %rel
%define tarballver %version.%betaver
%else
%define date       0
%if %{date}
%define release    %mkrel 12.git%{date}.%{rel}
%define tarballver %{commit}
%define tarballdir %{commit}
%define tarballgit +git%{date}
%define commit     c89751a58836906e6916355fd037fc74fd7a7a15
%else
%define release %mkrel %rel
%define tarballver %version
%define tarballdir v%{version}
%endif
%endif

Summary:	An input method server for traditional Chinese
Name:		hime
Version:	0.9.11
Release:	%{release}
License:	LGPLv2.1
URL: 		https://hime.luna.com.tw/
Group:		System/Internationalization
Source0:	https://github.com/hime-ime/hime/archive/%{tarballdir}/%{name}-%{version}%{?tarballgit}.tar.gz
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(anthy)
BuildRequires:	pkgconfig(chewing)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	qt5platformsupport-devel

Recommends:	%{name}-gtk2 = %{version}-%{release}
Recommends:	%{name}-gtk3 = %{version}-%{release}
Requires:	locales-zh
Obsoletes:	%{name}-qt4 < %{version}-%{release}

%description
hime is a Chinese input method server for traditional Chinese. 
It features a better GTK user interface.


%package	gtk2
Summary:	gtk2 immodule for hime
Group:		System/Internationalization
Requires:	%name = %{version}-%{release}

%description	gtk2
This is the gtk2 immodule support for hime.

%package	gtk3
Summary:	gtk3 immodule for hime
Group:		System/Internationalization
Requires:	%name = %{version}-%{release}

%description	gtk3
This is the gtk3 immodule support for hime.

%package        qt5
Summary:        Qt5 immodule for hime
License:	GPLv2
Group:          System/Internationalization
Requires:       %name = %{version}-%{release}

%description    qt5
This is the qt5 immodule support for hime.

%package        anthy
Summary:        Anthy module for hime
Group:          System/Internationalization
Requires:       %name = %{version}-%{release}
Requires:	anthy
Conflicts:	hime < 0.9.10

%description    anthy
This is the anthy input method support for hime.

%package        chewing
Summary:        Chewing module for hime
Group:          System/Internationalization
Requires:       %name = %{version}-%{release}
Conflicts:	hime < 0.9.10

%description    chewing
This is the chewing input method support for hime.

%prep
%setup -q -n %{name}-%{tarballver}
%autopatch -p1

%build
%define _disable_ld_no_undefined 1
%configure \
	--qt5-im-module-path=%{_qt5_plugindir}/platforminputcontexts
# (tv) disable parallel build (broken):
make OPTFLAGS="%{optflags} -fPIC -std=gnu17 -std=gnu++11" \
     EXTRA_LDFLAGS="%{?ldflags}" \
     CC="gcc %{?ldflags}" \
     CCLD="gcc %{?ldflags}"

%install
# fix installing in proper path on x86_64:
%make_install libdir=%buildroot%_libdir

rm -fr %buildroot%_docdir/
rm -fr %buildroot%_libdir/menu/

# remove unneeded files
rm -rf %{buildroot}/%{_includedir}

%{find_lang} %{name}

%files anthy
%{_libdir}/hime/anthy-module.so

%files chewing
%{_libdir}/hime/chewing-module.so

%files -f %{name}.lang
%doc AUTHORS README*
%{_bindir}/*
%{_datadir}/applications/hime-setup.desktop
%{_datadir}/hime
%{_datadir}/pixmaps/*
%{_mandir}/man?/*
%{_libdir}/hime/*

%files gtk2
%{_libdir}/gtk-2.0/2.10.0/immodules/*.so

%files gtk3
%{_libdir}/gtk-3.0/3.0.0/immodules/*.so

%files qt5
%{_qt5_plugindir}/platforminputcontexts/*.so


%changelog
* Fri May 16 2025 ns80 <ns80> 0.9.11-3.mga10
+ Revision: 2183757
- try to fix building with GCC 15

* Sun Apr 03 2022 umeabot <umeabot> 0.9.11-2.mga9
+ Revision: 1842407
- Mageia 9 Mass Rebuild

* Mon Apr 19 2021 yochenhsieh <yochenhsieh> 0.9.11-1.mga9
+ Revision: 1717089
- New version 0.9.11

* Wed Dec 16 2020 umeabot <umeabot> 0.9.10-12.git20200817.2.mga8
+ Revision: 1658571
- Rebuild for new Qt5

* Tue Aug 18 2020 martinw <martinw> 0.9.10-12.git20200817.1.mga8
+ Revision: 1614684
- update to latest git for bug and build fixes
  o drops qt4 support

* Sat Feb 15 2020 umeabot <umeabot> 0.9.10-12.git20170427.5.mga8
+ Revision: 1524660
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Mar 30 2019 umeabot <umeabot> 0.9.10-12.git20170427.4.mga7
+ Revision: 1381912
- Qt5 Rebuild

* Sun Mar 10 2019 wally <wally> 0.9.10-12.git20170427.3.mga7
+ Revision: 1373666
- handle gtk2/3 immodule cache updates with transfiletriggers

* Sun Sep 23 2018 umeabot <umeabot> 0.9.10-12.git20170427.2.mga7
+ Revision: 1298196
- Mageia 7 Mass Rebuild

* Sun May 06 2018 daviddavid <daviddavid> 0.9.10-12.git20170427.1.mga7
+ Revision: 1226816
- Update to latest git for bugfixes (fix build with Qt 5.9)
- compile code with -std=gnu++11

* Wed Aug 17 2016 yochenhsieh <yochenhsieh> 0.9.10-11.git3f52703.mga6
+ Revision: 1046705
- Update to latest git for bugfixes
- Remove qt patch (merged upstream)

* Thu Mar 31 2016 yochenhsieh <yochenhsieh> 0.9.10-10.git130aa0b.mga6
+ Revision: 997114
- Git snapshot for better Qt5 and plasma support.

* Tue Feb 02 2016 umeabot <umeabot> 0.9.10-9.mga6
+ Revision: 931125
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.10-8.mga5
+ Revision: 746686
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.10-7.mga5
+ Revision: 680149
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sun Jul 20 2014 colin <colin> 0.9.10-6.mga5
+ Revision: 654752
- Drop RPM scripts for immodules (handled by filetriggers)

* Tue May 06 2014 yochenhsieh <yochenhsieh> 0.9.10-5.mga5
+ Revision: 620375
- Alter gtk-query-immodules-2.0 command to fix bug 8731.

* Fri Oct 18 2013 umeabot <umeabot> 0.9.10-4.mga4
+ Revision: 505504
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.9.10-3.mga3
+ Revision: 353269
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 21 2012 fwang <fwang> 0.9.10-2.mga3
+ Revision: 333574
- add missing requires

* Wed Jul 18 2012 yochenhsieh <yochenhsieh> 0.9.10-1.mga3
+ Revision: 272210
- New version 0.9.10
- Split anthy & chewing modules as sub-packages.

* Wed Apr 18 2012 yochenhsieh <yochenhsieh> 0.9.9-5.mga2
+ Revision: 231297
- Remove Suggests on qt4 immodule, let localedrake handle it.
- Add Requires(post) & Requires(postun) for gtk2 & gtk3 im modules

* Thu Feb 16 2012 yochenhsieh <yochenhsieh> 0.9.9-4.mga2
+ Revision: 209579
- Update License: LGPLv2.1 (Qt immodules are GPLv2)
- Suggests gtk2 & gtk3 im modules install by default

* Sun Jan 29 2012 yochenhsieh <yochenhsieh> 0.9.9-3.mga2
+ Revision: 202815
- Change qt4 moc path.
- fix spec errors.
  build gtk2 im module package.
- imported package hime


* Wed Dec 14 2011 yochenhsieh <yochenhsieh> 0.9.9-1.mga2
- first spec for Mageia
- based on the spec of gcin. Thanks!

